You can not select more than 25 topics Topics must start with a chinese character,a letter or number, can include dashes ('-') and can be up to 35 characters long.

check_exec_order.sh 1.8 kB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748
  1. #!/bin/bash
  2. # Copyright 2019 Huawei Technologies Co., Ltd
  3. #
  4. # Licensed under the Apache License, Version 2.0 (the "License");
  5. # you may not use this file except in compliance with the License.
  6. # You may obtain a copy of the License at
  7. #
  8. # http://www.apache.org/licenses/LICENSE-2.0
  9. #
  10. # Unless required by applicable law or agreed to in writing, software
  11. # distributed under the License is distributed on an "AS IS" BASIS,
  12. # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  13. # See the License for the specific language governing permissions and
  14. # limitations under the License.
  15. # ============================================================================
  16. export LOCAL_HIAI=/usr/local/HiAI
  17. export TBE_IMPL_PATH=${LOCAL_HIAI}/runtime/ops/op_impl/built-in/ai_core/tbe/impl/
  18. export LD_LIBRARY_PATH=${LOCAL_HIAI}/runtime/lib64/:${LD_LIBRARY_PATH}
  19. export PATH=${LOCAL_HIAI}/runtime/ccec_compiler/bin/:${PATH}
  20. export PYTHONPATH=${LOCAL_HIAI}/runtime/ops/op_impl/built-in/ai_core/tbe/:${PYTHONPATH}
  21. set -e
  22. BASEPATH=$(cd "$(dirname $0)"; pwd)
  23. rm -rf "${BASEPATH}/mem_reuse_check/"
  24. mkdir "${BASEPATH}/mem_reuse_check/"
  25. # 1. run normal && check file exist
  26. python "${BASEPATH}"/resnet_cifar_normal.py
  27. if [ $? -ne 0 ]; then
  28. echo "[ERROR] resnet_cifar_normal run failed"
  29. exit 1
  30. fi
  31. # 2. copy normal to current dir
  32. mv "./normal_mem.ir" "${BASEPATH}/mem_reuse_check/"
  33. # 3. run memreuse && check file exist
  34. python "${BASEPATH}"/resnet_cifar_memreuse.py
  35. if [ $? -ne 0 ]; then
  36. echo "[ERROR] resnet_cifar_memreuse run failed"
  37. exit 1
  38. fi
  39. # 4. copy memreuse ir to current dir
  40. mv "./memreuse.ir" "${BASEPATH}/mem_reuse_check/"
  41. # 5. check file whether same && return true
  42. python "${BASEPATH}"/check_file.py
  43. if [ $? -ne 0 ]; then
  44. echo "[ERROR] check_file run failed"
  45. exit 1
  46. fi
  47. rm -rf "${BASEPATH}/mem_reuse_check"